Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class NamedValue

    java.lang.Object
      oracle.ifs.fdk.NamedValue

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Preference

    public class NamedValue

extends java.lang.Object
implements java.io.Serializable

Represents a Java Bean name/value pair. It is suitable for representing attributes, options, preferences, etc.

See Also:
  Serialized Form

Constructor Summary
`NamedValue()` Required constructor in order to be a Java Bean.
`NamedValue(java.lang.String name, java.lang.Object value)` Convenience constructor that sets the name and value.

Method Summary
`java.lang.String` | `getName()` Returns the name.
`java.lang.Object` | `getValue()` Returns the value.
`java.lang.Object` | `getWrappedValue()` Get the wrapped value.
`static NamedValue[]` | `mapToNamedValues(java.util.Map map)` Converts an Map of named values to NamedValue[].
`static java.util.Map` | `namedValuesToMap(NamedValue[] namedValues)` Converts a NamedValue[] to a Map for easy access.
`void` | `setName(java.lang.String name)` Sets the name.
`void` | `setValue(java.lang.Object value)` Sets the value.
`void` | `setWrappedValue(java.lang.Object value)` Set the wrapped value.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamedValue

    public NamedValue()

  Required constructor in order to be a Java Bean.

### NamedValue

    public NamedValue(java.lang.String name,
                      java.lang.Object value)

  Convenience constructor that sets the name and value.

  (Unpublished)

Method Detail

### getName

    public final java.lang.String getName()

  Description copied from class: `NamedValue`
  Returns the name.

### setName

    public final void setName(java.lang.String name)

  Description copied from class: `NamedValue`
  Sets the name.

### getValue

    public final java.lang.Object getValue()

  Description copied from class: `NamedValue`
  Returns the value.

### setValue

    public final void setValue(java.lang.Object value)

  Description copied from class: `NamedValue`
  Sets the value.

### getWrappedValue

    public java.lang.Object getWrappedValue()

  Description copied from class: `NamedValue`
  Get the wrapped value. This should only be called by web services to get the value to be encoded in the web services request. The wrapped is the actual value or an ArrayValue object if the value is an array.

  (Unpublished)

### setWrappedValue

    public void setWrappedValue(java.lang.Object value)

  Description copied from class: `NamedValue`
  Set the wrapped value. This should only be called by web services to set the value that was encoded in the web services request. The wrapped is the actual value or an ArrayValue object if the value is an array.

  (Unpublished)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### namedValuesToMap

    public static final java.util.Map namedValuesToMap(NamedValue[] namedValues)

  Description copied from class: `NamedValue`
  Converts a NamedValue[] to a Map for easy access. This method guarantees that an Iterator over the Map will return the entries in the same order they were in the array. The keys in the returned map will be of type `String`.

  Parameters:
    `namedValues` - The NamedValue[] to convert. A zero-length array will result into an empty map and a `null` array will result into a `null` return value.
  (Unpublished)

### mapToNamedValues

    public static final NamedValue[] mapToNamedValues(java.util.Map map)

  Description copied from class: `NamedValue`
  Converts an Map of named values to NamedValue[]. If the Map instance guarantees a certain order, it will be preserved in the array.

  Parameters:
    `map` - The Map to convert. The keys in the map must be of type `String`. An empty map will result in a zero-length NamedValue[] and a `null` map will result into a `null` return value.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD